/***************************************************************************
                          default_model_routines.h  -  description
                             -------------------
    begin                : Sat Jan 22 2000
    copyright            : (C) 2000 by Jan Edward Kansky
    email                : kansky@ll.mit.edu
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
/* a quick default_model_routines.h */


#ifndef _DEFAULT_MODEL_ROUTINES_H
#define _DEFAULT_MODEL_ROUTINES_H


#include "ls_types.h"
#include "crrc_inputs.h"

#ifdef __cplusplus
extern "C" {
#endif //__cplusplus

void aero( SCALAR dt, TSimInputs* inputs);
void engine( SCALAR dt, TSimInputs* inputs);
void gear( SCALAR dt, int Initialize );

#ifdef __cplusplus
}
#endif // __cplusplus


#endif /* _DEFAULT_MODEL_ROUTINES_H */
