/** \file global.cpp
 *
 *  Initialization of the global variables.
 */
 
#include "global.h"
#include <stdlib.h>

int Global::nVerbosity = 0;
SimStateHandler* Global::Simulation = NULL;
int Global::training_mode = 0;
int Global::display_mode = 0;
Scenery* Global::scenery = NULL;
CGUIMain* Global::gui = NULL;
CRRCAirplane* Global::airplane = NULL;
CRRC_FDM*     Global::fdm = NULL;
CRRCAudioServer* Global::soundserver = NULL;
T_GameHandler*   Global::gameHandler = NULL;
TSimInputs        Global::inputs;
float Global::dt;
std::string Global::verboseString;
TestModeData  Global::testmode;
 
