#ifndef XMLMODELFILE_H
# define XMLMODELFILE_H

# include "SimpleXMLTransfer.h"

namespace XMLModelFile
{
  /**
   * Inserts a list of options to choose from.
   * Returns true if there is something to choose from.
   *
   * @author Jens Wilhelm Wulf
   */
  bool ListOptions(SimpleXMLTransfer* xml);

  /**
   * Returns the graphics entry to use.
   *
   * @author Jens Wilhelm Wulf
   */
  SimpleXMLTransfer* getGraphics(SimpleXMLTransfer* xml);

  /**
   * Returns the config entry to use.
   *
   * @author Jens Wilhelm Wulf
   */
  SimpleXMLTransfer* getConfig(SimpleXMLTransfer* xml);
};
#endif

