/**
 * Include file for GL, as this is somewhat operating system dependent...
 */

#ifndef INCLUDE_GL_H
# define INCLUDE_GL_H


# ifdef WIN32
#  include <windows.h>
#  include "gl.h"
#  include "glu.h"
#  include "glut.h"
#  include "tube.h"
# endif


# if defined(__APPLE__) || defined(MACOSX)
#  include <GLUT/glut.h>
// #include <GLUT/gutil.h>
#  include <GLUT/tube.h>
# endif  // __APPLE__



# ifdef linux
#  include <GL/glut.h>
// #include <GL/gutil.h>
#  include <GL/tube.h>
# endif


#endif
